## NMSettingOvsDpdk

NMSettingOvsDpdk — Describes connection properties for Open vSwitch DPDK interfaces.

## Functions

NMSetting * | nm_setting_ovs_dpdk_new ()
const char * | nm_setting_ovs_dpdk_get_devargs ()
guint32 | nm_setting_ovs_dpdk_get_n_rxq ()
guint32 | nm_setting_ovs_dpdk_get_n_rxq_desc ()
guint32 | nm_setting_ovs_dpdk_get_n_txq_desc ()
NMSettingOvsDpdkLscInterrupt | nm_setting_ovs_dpdk_get_lsc_interrupt ()

## Types and Values

#define | NM_SETTING_OVS_DPDK_SETTING_NAME
#define | NM_SETTING_OVS_DPDK_DEVARGS
#define | NM_SETTING_OVS_DPDK_N_RXQ
#define | NM_SETTING_OVS_DPDK_N_RXQ_DESC
#define | NM_SETTING_OVS_DPDK_N_TXQ_DESC
#define | NM_SETTING_OVS_DPDK_LSC_INTERRUPT
enum | NMSettingOvsDpdkLscInterrupt

## Object Hierarchy

        GEnum
        ╰── NMSettingOvsDpdkLscInterrupt

## Description

The NMSettingOvsDpdk object is a NMSetting subclass that describes properties necessary for Open vSwitch interfaces of type "dpdk".

## Functions

### nm_setting_ovs_dpdk_new ()

    NMSetting *
    nm_setting_ovs_dpdk_new (void);

Creates a new NMSettingOvsDpdk object with default values.

#### Returns

the new empty NMSettingOvsDpdk object.

[transfer full]

Since: 1.20

### nm_setting_ovs_dpdk_get_devargs ()

    const char *
    nm_setting_ovs_dpdk_get_devargs (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “devargs” property of the setting

Since: 1.20

### nm_setting_ovs_dpdk_get_n_rxq ()

    guint32
    nm_setting_ovs_dpdk_get_n_rxq (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “n-rxq” property of the setting

Since: 1.36

### nm_setting_ovs_dpdk_get_n_rxq_desc ()

    guint32
    nm_setting_ovs_dpdk_get_n_rxq_desc (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “n-rxq-desc” property of the setting

Since: 1.42

### nm_setting_ovs_dpdk_get_n_txq_desc ()

    guint32
    nm_setting_ovs_dpdk_get_n_txq_desc (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “n-txq-desc” property of the setting

Since: 1.42

### nm_setting_ovs_dpdk_get_lsc_interrupt ()

    NMSettingOvsDpdkLscInterrupt
    nm_setting_ovs_dpdk_get_lsc_interrupt (NMSettingOvsDpdk *self);

#### Parameters

self | the NMSettingOvsDpdk |

#### Returns

the “lsc-interrupt” property of the setting

Since: 1.54

## Types and Values

### NM_SETTING_OVS_DPDK_SETTING_NAME

    #define NM_SETTING_OVS_DPDK_SETTING_NAME "ovs-dpdk"

### NM_SETTING_OVS_DPDK_DEVARGS

    #define NM_SETTING_OVS_DPDK_DEVARGS       "devargs"

### NM_SETTING_OVS_DPDK_N_RXQ

    #define NM_SETTING_OVS_DPDK_N_RXQ         "n-rxq"

### NM_SETTING_OVS_DPDK_N_RXQ_DESC

    #define NM_SETTING_OVS_DPDK_N_RXQ_DESC    "n-rxq-desc"

### NM_SETTING_OVS_DPDK_N_TXQ_DESC

    #define NM_SETTING_OVS_DPDK_N_TXQ_DESC    "n-txq-desc"

### NM_SETTING_OVS_DPDK_LSC_INTERRUPT

    #define NM_SETTING_OVS_DPDK_LSC_INTERRUPT "lsc-interrupt"

### enum NMSettingOvsDpdkLscInterrupt

NMSettingOvsDpdkLscInterrupt indicates whether the interface uses interrupts or poll mode for Link State Change (LSC) detection on the OVS DPDK interface.

#### Members

NM_SETTING_OVS_DPDK_LSC_INTERRUPT_IGNORE | leave the value set to Open vSwitch default |
NM_SETTING_OVS_DPDK_LSC_INTERRUPT_DISABLED | interrupt disabled (poll mode) |
NM_SETTING_OVS_DPDK_LSC_INTERRUPT_ENABLED | interrupt enabled |

Since: 1.54